#pragma once

#include <QWidget>

namespace Ui {
class ScaleForm;
}

class MainWindow;
class ScaleForm final : public QWidget {
  Q_OBJECT

public:
  explicit ScaleForm(MainWindow *parent = nullptr);
  ~ScaleForm() override;

public slots:
  void setScale(int scale);

private:
  Ui::ScaleForm *ui;
  const QString scale_format{"%1%"};
};
